Переполнение буфера в IrfanView

Дата публикации:
16.10.2007
Всего просмотров:
1791
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
IrfanView 3.x
IrfanView 4.x
Уязвимые версии: IrfanView 4.00, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю скомпрометировать целевую систему.

Уязвимость существует из-за ошибки проверки границ данных при импортировании *.pal файлов. Удаленный пользователь может с помощью специально сформированного *.pal файла вызвать переполнение стека и выполнить произвольный код на целевой системе.

URL производителя: www.irfanview.com

Решение: Установите последнюю версию 4.10 с сайта производителя.

Ссылки: IrfanView Palette File Importing Buffer Overflow Vulnerability

или введите имя

CAPTCHA